Package ru.bitel.bgbilling.modules.bill.server.bean

# Class BillDocumentDao

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.AbstractBillDao
ru.bitel.bgbilling.modules.bill.server.bean.BillDocumentDao

    public class BillDocumentDao
    extends AbstractBillDao

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `BILL_DATA_FIELDS` |

  ### Fields inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractBillDao

  `con, moduleId, moduleSetup, setup, tableName`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BillDocumentDao​(Setup setup, ParameterMap moduleSetup, java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static <B> java.util.List<B>` | `getBillDocumentList​(java.sql.Connection con, int moduleId, java.lang.String table, int contractId, Page page, java.util.function.Function<java.sql.ResultSet,​B> converter)` | Временный метод для поддержки двух разных классов Bill без copy-paste.
  `java.util.List<BillDocument>` | `list​(int contractId, Page page)` | Возвращает список Bill

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BILL_DATA_FIELDS

    public static final java.lang.String BILL_DATA_FIELDS
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### BillDocumentDao

    public BillDocumentDao​(Setup setup, ParameterMap moduleSetup, java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getBillDocumentList

    public static <B> java.util.List<B> getBillDocumentList​(java.sql.Connection con, int moduleId, java.lang.String table, int contractId, Page page, java.util.function.Function<java.sql.ResultSet,​B> converter)
    Временный метод для поддержки двух разных классов Bill без copy-paste. Возвращает список счетов для договора.
    Parameters:
      `cid` - - ContractID
    Returns:

  - ### list

    public java.util.List<BillDocument> list​(int contractId, Page page) throws ru.bitel.bgbilling.common.BGException
    Возвращает список Bill
    Parameters:
      `cid` - - ContractID
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`